###################################################
### chunk number 1: 
###################################################
#line 119 "affy.Rnw"
library(affy)


###################################################
### chunk number 2: 
###################################################
#line 325 "affy.Rnw"
bgcorrect.methods()


###################################################
### chunk number 3: 
###################################################
#line 332 "affy.Rnw"
library(affydata)
data(Dilution) ##data included in the package for examples
normalize.methods(Dilution)


###################################################
### chunk number 4: 
###################################################
#line 340 "affy.Rnw"
pmcorrect.methods()


###################################################
### chunk number 5: 
###################################################
#line 346 "affy.Rnw"
express.summary.stat.methods()


###################################################
### chunk number 6: 
###################################################
#line 382 "affy.Rnw"
eset <- mas5(Dilution)


###################################################
### chunk number 7: 
###################################################
#line 388 "affy.Rnw"
Calls <- mas5calls(Dilution)


###################################################
### chunk number 8: 
###################################################
#line 413 "affy.Rnw"
eset <- rma(Dilution)


###################################################
### chunk number 9: 
###################################################
#line 437 "affy.Rnw"
Dilution


###################################################
### chunk number 10: 
###################################################
#line 452 "affy.Rnw"
phenoData(Dilution)
pData(Dilution)


###################################################
### chunk number 11: 
###################################################
#line 474 "affy.Rnw"
data(Dilution)
MAplot(Dilution,pairs=TRUE,plot.method="smoothScatter")


###################################################
### chunk number 12: 
###################################################
#line 491 "affy.Rnw"
Index <- c(1,2,3,100,1000,2000) ##6 arbitrary probe positions
pm(Dilution)[Index,]
mm(Dilution)[Index,]
probeNames(Dilution)[Index]


###################################################
### chunk number 13: 
###################################################
#line 504 "affy.Rnw"
sampleNames(Dilution)


###################################################
### chunk number 14: 
###################################################
#line 510 "affy.Rnw"
mean(mm(Dilution)>pm(Dilution))


###################################################
### chunk number 15: 
###################################################
#line 516 "affy.Rnw"
gn <- geneNames(Dilution)
pm(Dilution, gn[100])


###################################################
### chunk number 16: 
###################################################
#line 532 "affy.Rnw"
hist(Dilution[,1:2]) ##PM histogram of arrays 1 and 2


###################################################
### chunk number 17:  eval=FALSE
###################################################
## #line 549 "affy.Rnw"
## par(mfrow=c(2,2))
## image(Dilution)


###################################################
### chunk number 18: 
###################################################
#line 567 "affy.Rnw"
par(mfrow=c(1,1))
boxplot(Dilution, col=c(2,3,4))


###################################################
### chunk number 19: 
###################################################
#line 592 "affy.Rnw"
deg <- AffyRNAdeg(Dilution)
names(deg)


###################################################
### chunk number 20: 
###################################################
#line 598 "affy.Rnw"
summaryAffyRNAdeg(deg)


###################################################
### chunk number 21: 
###################################################
#line 606 "affy.Rnw"
plotAffyRNAdeg(deg)


###################################################
### chunk number 22: 
###################################################
#line 621 "affy.Rnw"
Dilution.normalized <- normalize(Dilution)


###################################################
### chunk number 23: 
###################################################
#line 668 "affy.Rnw"
gn <- featureNames(Dilution)
ps <- probeset(Dilution, gn[1:2])
#this is what i should be using: ps
show(ps[[1]])


###################################################
### chunk number 24: 
###################################################
#line 688 "affy.Rnw"
mylocation <- list("1000_at"=cbind(pm=c(1,2,3),mm=c(4,5,6)),
                   "1001_at"=cbind(pm=c(4,5,6),mm=c(1,2,3)))


###################################################
### chunk number 25: 
###################################################
#line 697 "affy.Rnw"
ps <- probeset(Dilution, genenames=c("1000_at","1001_at"),
                 locations=mylocation)


###################################################
### chunk number 26: 
###################################################
#line 703 "affy.Rnw"
pm(ps[[1]])
mm(ps[[1]])
pm(ps[[2]])
mm(ps[[2]])


###################################################
### chunk number 27: 
###################################################
#line 726 "affy.Rnw"
data(SpikeIn) ##SpikeIn is a ProbeSets
pms <- pm(SpikeIn)
mms <- mm(SpikeIn)

##pms follow concentration
par(mfrow=c(1,2))
concentrations <- matrix(as.numeric(sampleNames(SpikeIn)),20,12,byrow=TRUE)
matplot(concentrations,pms,log="xy",main="PM",ylim=c(30,20000))
lines(concentrations[1,],apply(pms,2,mean),lwd=3)
##so do mms
matplot(concentrations,mms,log="xy",main="MM",ylim=c(30,20000))
lines(concentrations[1,],apply(mms,2,mean),lwd=3)


###################################################
### chunk number 28: 
###################################################
#line 772 "affy.Rnw"
cat("HG_U95Av2 is",cleancdfname("HG_U95Av2"),"\n")
cat("HG-133A is",cleancdfname("HG-133A"),"\n")


###################################################
### chunk number 29: 
###################################################
#line 778 "affy.Rnw"
cat("HG_U95Av2 is",cleancdfname("HG_U95Av2",addcdf=FALSE),"\n")


###################################################
### chunk number 30: 
###################################################
#line 786 "affy.Rnw"
data(cdfenv.example)
ls(cdfenv.example)[1:5]
get(ls(cdfenv.example)[1],cdfenv.example)


###################################################
### chunk number 31: 
###################################################
#line 800 "affy.Rnw"
print(Dilution@cdfName)
myenv <- getCdfInfo(Dilution)
ls(myenv)[1:5]


###################################################
### chunk number 32: 
###################################################
#line 811 "affy.Rnw"
Index <- pmindex(Dilution)
names(Index)[1:2]
Index[1:2]


###################################################
### chunk number 33: 
###################################################
#line 818 "affy.Rnw"
pmindex(Dilution, genenames=c("1000_at","1001_at"))


###################################################
### chunk number 34: 
###################################################
#line 823 "affy.Rnw"
mmindex(Dilution, genenames=c("1000_at","1001_at"))


###################################################
### chunk number 35: 
###################################################
#line 827 "affy.Rnw"
indexProbes(Dilution, which="pm")[1]
indexProbes(Dilution, which="mm")[1]
indexProbes(Dilution, which="both")[1]


###################################################
### chunk number 36: 
###################################################
#line 842 "affy.Rnw"
opt <- getOption("BioC")
affy.opt <- opt$affy
print(names(affy.opt))


###################################################
### chunk number 37: 
###################################################
#line 849 "affy.Rnw"
opt <- getOption("BioC")
affy.opt <- opt$affy
affy.opt$normalize.method <- "constant"
opt$affy <- affy.opt
options(BioC=opt)


###################################################
### chunk number 38: 
###################################################
#line 860 "affy.Rnw"
opt <- getOption("BioC")
affy.opt <- opt$affy
affy.opt$compress.cel <- TRUE
opt$affy <- affy.opt
options(BioC=opt)


